import '@material/web/icon/icon.js';
import '@material/web/button/elevated-button.js';
import '@operato/lottie-player';
import { LitElement } from 'lit';
declare const AuthCheckIn_base: (new (...args: any[]) => LitElement) & typeof LitElement;
export declare class AuthCheckIn extends AuthCheckIn_base {
    static styles: import("lit").CSSResult[];
    data: any;
    domains: any[];
    domainTypes?: string[];
    user: any;
    searchValue: string;
    DOMAIN_SEARCH_LENGTH: number;
    private _applicationMeta?;
    private redirectTo?;
    render(): import("lit-html").TemplateResult<1>;
    updated(changed: any): void;
    navigateToUrl(url: any): void;
    get applicationMeta(): {
        icon?: string;
        title?: string;
        description?: string;
    };
}
export {};
